@import '../../variables.scss';

.app-install-banner {
  position: fixed;
  z-index: 99999;
  width: 100%;
  max-height: 100px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  bottom: 0;
  left: 0;
  padding: 20px 0;
  background-color: $primary-color;
  max-width: 100vw;
  font-family: $font-primary;

  .left-col {
    padding-left: 20px;
  }

  p {
    color: $white-color;
    justify-self: flex-start;
    margin-bottom: 5px;
    line-height: 1.1;

    @media screen and (max-width: 520px) {
      font-size: 13px;
    }
  }

  span {
    color: $white-color;

    @media screen and (max-width: 520px) {
      font-size: 12px;
    }
  }

  button+button {
    margin-left: 15px;
  }

  .pwa-button {
    padding-right: 20px;

    .ant-btn {
      font-family: $font-primary;

      span {
        color: $primary-color !important;
      }
    }

    @media screen and (max-width: 520px) {
      display: flex;
      flex-direction: column;
      gap: 8px;
      align-items: baseline;
    }
  }
}